{
    onStart(pokemon) {
        this.field.setWeather('sunnyday');

        if (pokemon.orichalcumPulseAttempted) return;

            if (['sunnyday', 'desolateland'].includes(pokemon.effectiveWeather())) {
                pokemon.orichalcumPulseAttempted = true;
                pokemon.addVolatile('orichalcumpulse');
            }

    },
    onEnd(pokemon) {
        pokemon.removeVolatile('orichalcumpulse');
    },
    condition: {
        onStart(pokemon) {
            this.add('-start', pokemon, 'Orichalcum Pulse Boost', '[silent]');
        },
        onModifyAtkPriority: 5,
        onModifyAtk(atk, pokemon) {
            if (['sunnyday', 'desolateland'].includes(pokemon.effectiveWeather())) {
                this.debug('Orichalcum Pulse boost');
                return this.chainModify([5461, 4096]);
            }
        },
        onUpdate(pokemon) {
            if (!['sunnyday', 'desolateland'].includes(pokemon.effectiveWeather())) {
                this.add('-end', pokemon, 'Orichalcum Pulse Boost', '[silent]');
                pokemon.removeVolatile('orichalcumpulse');
            }
        },
        onEnd(pokemon) {
            this.add('-end', pokemon, 'Orichalcum Pulse Boost', '[silent]');
        },
    },
    flags: {},
    name: "Orichalcum Pulse",
    rating: 4.5,
    num: 288,
}
